#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-8dbT6JzaXz0JVFirDxOCOj
key:                  persistent-test-2.13.1.3-8dbT6JzaXz0JVFirDxOCOj
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  66336d9ae7954f078fd1ffcd0b6fa132
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-8dbT6JzaXz0JVFirDxOCOj
depends:
    HUnit-1.6.2.0-BbdSRE1ivgr5FoFXtFn37H
    QuickCheck-2.14.3-1kHSJYV22r9H1CQAFEYDgg
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee base-4.16.4.0
    blaze-html-0.9.2.0-9MxJnDP1bSQLPRBiL4mEXo bytestring-0.11.4.0
    conduit-1.3.6.1-I0pkWSrZ9L621n2N9S5oir containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-HkStsyOeCMWCqrIlfVYjmC
    hspec-expectations-0.8.3-5sD9YT3uQpp6FysqsZAXkv
    http-api-data-0.5.1-KYwrn1aJ31FNgnInn5Cli
    monad-control-1.0.3.1-YAlQIPBQdw5oAKljKUnWq
    monad-logger-0.3.41-D55Jccej6zkAxGGonFEoPz mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-8VO8yFcmxXeAzPOrk8GukY
    quickcheck-instances-0.3.30-BEVbwoPohgiG9sKncIHSQv
    random-1.2.1.2-3dTxaovgjM1Bg7GihufWfn
    resourcet-1.2.6-Dvb859hDcLrAD3xzV7aYNC text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-95fSAM6u0E239aFE2zowjK
    unliftio-0.2.25.0-GCGuYURqqybKqtlFVsyJQb
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4c1XIGAoQE4JZSLkR4PXOi

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

